<template>
    <th data-label="Name" scope="row" style="max-width: 150px;">
        <div class="slds-truncate">{curAccountName}</div>
    </th>
    <td>
        <table>
            <tr>
                <td>Revenue</td>
            </tr>
            <tr>
                <td>Margin</td>
            </tr>
        </table>
    </td>
    <template if:true={isMonth} for:each={dataTable} for:item="mapKey">
        <td key={mapKey}>
            <table>
                <tr>
                    <td>{mapKey.revenue}</td>
                </tr>
                <tr class="marginRow">
                    <td>{mapKey.margin}</td>
                </tr>
            </table>
        </td>
    </template>
    <template if:false={isMonth} for:each={dataTable} for:item="mapKey">
        <td key={mapKey.key}>
            <table key={mapKey}>
                <tr>
                    <td>{mapKey.revenue}</td>
                </tr>
                <tr class="marginRow">
                    <td>{mapKey.margin}</td>
                </tr>
            </table>
        </td>
    </template>
    <td>
        <table>
            <tr>
                <td>{totalRevenue}</td>
            </tr>
            <tr>
                <td>{totalMargin}</td>
            </tr>
        </table>
    </td>
</template>